/*
 * Copyright (c) 1999 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * "Portions Copyright (c) 1999 Apple Computer, Inc.  All Rights
 * Reserved.  This file contains Original Code and/or Modifications of
 * Original Code as defined in and that are subject to the Apple Public
 * Source License Version 1.0 (the 'License').  You may not use this file
 * except in compliance with the License.  Please obtain a copy of the
 * License at http://www.apple.com/publicsource and read it before using
 * this file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the
 * License for the specific language governing rights and limitations
 * under the License."
 * 
 * @APPLE_LICENSE_HEADER_END@
 */
/*
 * This file was auto-generated by ./genoptionfiles -dhcptag, do not edit!
 */
typedef enum {

    /* rfc 1497 vendor extensions: 0..18, 255 */
    dhcptag_pad_e                      	= 0,
    dhcptag_end_e                      	= 255,
    dhcptag_subnet_mask_e              	= 1,
    dhcptag_time_offset_e              	= 2,
    dhcptag_router_e                   	= 3,
    dhcptag_time_server_e              	= 4,
    dhcptag_name_server_e              	= 5,
    dhcptag_domain_name_server_e       	= 6,
    dhcptag_log_server_e               	= 7,
    dhcptag_cookie_server_e            	= 8,
    dhcptag_lpr_server_e               	= 9,
    dhcptag_impress_server_e           	= 10,
    dhcptag_resource_location_server_e 	= 11,
    dhcptag_host_name_e                	= 12,
    dhcptag_boot_file_size_e           	= 13,
    dhcptag_merit_dump_file_e          	= 14,
    dhcptag_domain_name_e              	= 15,
    dhcptag_swap_server_e              	= 16,
    dhcptag_root_path_e                	= 17,
    dhcptag_extensions_path_e          	= 18,

    /* ip layer parameters per host: 19..25 */
    dhcptag_ip_forwarding_e            	= 19,
    dhcptag_non_local_source_routing_e 	= 20,
    dhcptag_policy_filter_e            	= 21,
    dhcptag_max_dgram_reassembly_size_e	= 22,
    dhcptag_default_ip_time_to_live_e  	= 23,
    dhcptag_path_mtu_aging_timeout_e   	= 24,
    dhcptag_path_mtu_plateau_table_e   	= 25,

    /* ip layer parameters per interface: 26..33 */
    dhcptag_interface_mtu_e            	= 26,
    dhcptag_all_subnets_local_e        	= 27,
    dhcptag_broadcast_address_e        	= 28,
    dhcptag_perform_mask_discovery_e   	= 29,
    dhcptag_mask_supplier_e            	= 30,
    dhcptag_perform_router_discovery_e 	= 31,
    dhcptag_router_solicitation_address_e	= 32,
    dhcptag_static_route_e             	= 33,
    dhcptag_trailer_encapsulation_e    	= 34,
    dhcptag_arp_cache_timeout_e        	= 35,
    dhcptag_ethernet_encapsulation_e   	= 36,

    /* tcp parameters: 37..39 */
    dhcptag_default_ttl_e              	= 37,
    dhcptag_keepalive_interval_e       	= 38,
    dhcptag_keepalive_garbage_e        	= 39,

    /* application & service parameters: 40..49, 64, 65, 68..76 */
    dhcptag_nis_domain_e               	= 40,
    dhcptag_nis_servers_e              	= 41,
    dhcptag_network_time_protocol_servers_e	= 42,
    dhcptag_vendor_specific_e          	= 43,
    dhcptag_nb_over_tcpip_name_server_e	= 44,
    dhcptag_nb_over_tcpip_dgram_dist_server_e	= 45,
    dhcptag_nb_over_tcpip_node_type_e  	= 46,
    dhcptag_nb_over_tcpip_scope_e      	= 47,
    dhcptag_x_windows_font_server_e    	= 48,
    dhcptag_x_windows_display_manager_e	= 49,
    dhcptag_nis_plus_domain_e          	= 64,
    dhcptag_nis_plus_servers_e         	= 65,
    dhcptag_mobile_ip_home_agent_e     	= 68,
    dhcptag_smtp_server_e              	= 69,
    dhcptag_pop3_server_e              	= 70,
    dhcptag_nntp_server_e              	= 71,
    dhcptag_default_www_server_e       	= 72,
    dhcptag_default_finger_server_e    	= 73,
    dhcptag_default_irc_server_e       	= 74,
    dhcptag_streettalk_server_e        	= 75,
    dhcptag_stda_server_e              	= 76,

    /* dhcp-specific extensions: 50..61, 66, 67  */
    dhcptag_requested_ip_address_e     	= 50,
    dhcptag_ip_address_lease_time_e    	= 51,
    dhcptag_option_overload_e          	= 52,
    dhcptag_dhcp_message_type_e        	= 53,
    dhcptag_server_identifier_e        	= 54,
    dhcptag_parameter_request_list_e   	= 55,
    dhcptag_message_e                  	= 56,
    dhcptag_max_dhcp_message_size_e    	= 57,
    dhcptag_renewal_t1_time_value_e    	= 58,
    dhcptag_rebinding_t2_time_value_e  	= 59,
    dhcptag_vendor_class_identifier_e  	= 60,
    dhcptag_client_identifier_e        	= 61,
    dhcptag_tftp_server_name_e         	= 66,
    dhcptag_bootfile_name_e            	= 67,

    /* undefined: 62, 63, 77..111 */

    /* netinfo parent tags: 112, 113 */
    dhcptag_netinfo_server_address_e   	= 112,
    dhcptag_netinfo_server_tag_e       	= 113,

    /* undefined: 114-127 */

    /* site-specific: 128..254 */
    dhcptag_site_specific_start_e      	= 128,
    dhcptag_site_specific_end_e        	= 254,
} dhcptag_t;

#define DHCPTAG_PAD                        	"pad"
#define DHCPTAG_END                        	"end"
#define DHCPTAG_SUBNET_MASK                	"subnet_mask"
#define DHCPTAG_TIME_OFFSET                	"time_offset"
#define DHCPTAG_ROUTER                     	"router"
#define DHCPTAG_TIME_SERVER                	"time_server"
#define DHCPTAG_NAME_SERVER                	"name_server"
#define DHCPTAG_DOMAIN_NAME_SERVER         	"domain_name_server"
#define DHCPTAG_LOG_SERVER                 	"log_server"
#define DHCPTAG_COOKIE_SERVER              	"cookie_server"
#define DHCPTAG_LPR_SERVER                 	"lpr_server"
#define DHCPTAG_IMPRESS_SERVER             	"impress_server"
#define DHCPTAG_RESOURCE_LOCATION_SERVER   	"resource_location_server"
#define DHCPTAG_HOST_NAME                  	"host_name"
#define DHCPTAG_BOOT_FILE_SIZE             	"boot_file_size"
#define DHCPTAG_MERIT_DUMP_FILE            	"merit_dump_file"
#define DHCPTAG_DOMAIN_NAME                	"domain_name"
#define DHCPTAG_SWAP_SERVER                	"swap_server"
#define DHCPTAG_ROOT_PATH                  	"root_path"
#define DHCPTAG_EXTENSIONS_PATH            	"extensions_path"
#define DHCPTAG_IP_FORWARDING              	"ip_forwarding"
#define DHCPTAG_NON_LOCAL_SOURCE_ROUTING   	"non_local_source_routing"
#define DHCPTAG_POLICY_FILTER              	"policy_filter"
#define DHCPTAG_MAX_DGRAM_REASSEMBLY_SIZE  	"max_dgram_reassembly_size"
#define DHCPTAG_DEFAULT_IP_TIME_TO_LIVE    	"default_ip_time_to_live"
#define DHCPTAG_PATH_MTU_AGING_TIMEOUT     	"path_mtu_aging_timeout"
#define DHCPTAG_PATH_MTU_PLATEAU_TABLE     	"path_mtu_plateau_table"
#define DHCPTAG_INTERFACE_MTU              	"interface_mtu"
#define DHCPTAG_ALL_SUBNETS_LOCAL          	"all_subnets_local"
#define DHCPTAG_BROADCAST_ADDRESS          	"broadcast_address"
#define DHCPTAG_PERFORM_MASK_DISCOVERY     	"perform_mask_discovery"
#define DHCPTAG_MASK_SUPPLIER              	"mask_supplier"
#define DHCPTAG_PERFORM_ROUTER_DISCOVERY   	"perform_router_discovery"
#define DHCPTAG_ROUTER_SOLICITATION_ADDRESS	"router_solicitation_address"
#define DHCPTAG_STATIC_ROUTE               	"static_route"
#define DHCPTAG_TRAILER_ENCAPSULATION      	"trailer_encapsulation"
#define DHCPTAG_ARP_CACHE_TIMEOUT          	"arp_cache_timeout"
#define DHCPTAG_ETHERNET_ENCAPSULATION     	"ethernet_encapsulation"
#define DHCPTAG_DEFAULT_TTL                	"default_ttl"
#define DHCPTAG_KEEPALIVE_INTERVAL         	"keepalive_interval"
#define DHCPTAG_KEEPALIVE_GARBAGE          	"keepalive_garbage"
#define DHCPTAG_NIS_DOMAIN                 	"nis_domain"
#define DHCPTAG_NIS_SERVERS                	"nis_servers"
#define DHCPTAG_NETWORK_TIME_PROTOCOL_SERVERS	"network_time_protocol_servers"
#define DHCPTAG_VENDOR_SPECIFIC            	"vendor_specific"
#define DHCPTAG_NB_OVER_TCPIP_NAME_SERVER  	"nb_over_tcpip_name_server"
#define DHCPTAG_NB_OVER_TCPIP_DGRAM_DIST_SERVER	"nb_over_tcpip_dgram_dist_server"
#define DHCPTAG_NB_OVER_TCPIP_NODE_TYPE    	"nb_over_tcpip_node_type"
#define DHCPTAG_NB_OVER_TCPIP_SCOPE        	"nb_over_tcpip_scope"
#define DHCPTAG_X_WINDOWS_FONT_SERVER      	"x_windows_font_server"
#define DHCPTAG_X_WINDOWS_DISPLAY_MANAGER  	"x_windows_display_manager"
#define DHCPTAG_NIS_PLUS_DOMAIN            	"nis_plus_domain"
#define DHCPTAG_NIS_PLUS_SERVERS           	"nis_plus_servers"
#define DHCPTAG_MOBILE_IP_HOME_AGENT       	"mobile_ip_home_agent"
#define DHCPTAG_SMTP_SERVER                	"smtp_server"
#define DHCPTAG_POP3_SERVER                	"pop3_server"
#define DHCPTAG_NNTP_SERVER                	"nntp_server"
#define DHCPTAG_DEFAULT_WWW_SERVER         	"default_www_server"
#define DHCPTAG_DEFAULT_FINGER_SERVER      	"default_finger_server"
#define DHCPTAG_DEFAULT_IRC_SERVER         	"default_irc_server"
#define DHCPTAG_STREETTALK_SERVER          	"streettalk_server"
#define DHCPTAG_STDA_SERVER                	"stda_server"
#define DHCPTAG_REQUESTED_IP_ADDRESS       	"requested_ip_address"
#define DHCPTAG_IP_ADDRESS_LEASE_TIME      	"ip_address_lease_time"
#define DHCPTAG_OPTION_OVERLOAD            	"option_overload"
#define DHCPTAG_DHCP_MESSAGE_TYPE          	"dhcp_message_type"
#define DHCPTAG_SERVER_IDENTIFIER          	"server_identifier"
#define DHCPTAG_PARAMETER_REQUEST_LIST     	"parameter_request_list"
#define DHCPTAG_MESSAGE                    	"message"
#define DHCPTAG_MAX_DHCP_MESSAGE_SIZE      	"max_dhcp_message_size"
#define DHCPTAG_RENEWAL_T1_TIME_VALUE      	"renewal_t1_time_value"
#define DHCPTAG_REBINDING_T2_TIME_VALUE    	"rebinding_t2_time_value"
#define DHCPTAG_VENDOR_CLASS_IDENTIFIER    	"vendor_class_identifier"
#define DHCPTAG_CLIENT_IDENTIFIER          	"client_identifier"
#define DHCPTAG_TFTP_SERVER_NAME           	"tftp_server_name"
#define DHCPTAG_BOOTFILE_NAME              	"bootfile_name"
#define DHCPTAG_NETINFO_SERVER_ADDRESS     	"netinfo_server_address"
#define DHCPTAG_NETINFO_SERVER_TAG         	"netinfo_server_tag"
#define DHCPTAG_SITE_SPECIFIC_START        	"site_specific_start"
#define DHCPTAG_SITE_SPECIFIC_END          	"site_specific_end"
